<script type="text/javascript"> 
    function submitForm() {
        document.getElementById("updateForm").submit();
    } 
</script>
<?php
if ($this->noimage) {
    $display_image = false;
} else {
    $display_image = true;
}
if ($this->noedit) {
    $display_edit = false;
} else {
    $display_edit = true;
}

echo (isset($this->amount)) ? "<p font-size: 14px'>$this->amount</p>" : "";
if ($this->order->getShippingCount() > 1) {
    echo "<p style='font-size: 14px'>Vaše objednávka bude rozdělena do ".$this->order->getShippingCount()." zásilek.</p>";            
} 

if ($display_edit) { ?>
<p>Do jedné zásilky se vejde max. 6 lahví. Větší objednávky budou rozděleny do více balíčků.</p>
<form method='post' id='updateForm' action='/cart/'>    
<?php } ?>
<table class="cart-table">
    <thead>
        <tr>
            <?php if ($display_image) {?>
            <td>
                &nbsp;
            </td>
            <?php } ?>
            <td class='left'>
                <strong><?= $this->str_order_product ?></strong>
            </td>
            <td class='left'>                
                <strong>Objem</strong>
            </td>
            <td class='right'>                
                <strong><?= $this->str_order_unit_price ?></strong>
            </td>
            <td class='left' style='width: 40px; padding-left: 30px'>                
                <strong><?= $this->str_order_quantity ?></strong>
            </td>
            <td class='right'>                
                <strong><?= $this->str_order_total_price_noVAT ?></strong>
            </td>
            <td class='right'>                
                <strong><?= $this->str_order_total_price ?></strong>
            </td>
            <td style='width: 40px'>
                &nbsp;
            </td>
    </tr>
    </thead>
    <tbody>
    <?php
    $count = 0;
    $totalprice = 0;
    $totalpriceNoVAT = 0;
    foreach ($this->cartProducts as $product) {
        $count++;        
        ?>
        <tr>
            <?php 
            if ($display_image) { ?>
            <td style="width: 110px;">
                <div class="product-imageholder">
                    <img src="<?= IMG_URL; ?>/images/eshop_products/<?= $product->getProductId(); ?>.jpg" class='product-image'>
                </div>
            </td>
            <?php } ?>           
            <td>
                <h4>
                    <?= $product->getTitle()?>
                </h4>
                <p>
                    <?= ($product->getNote()) ? "<b>" . $this->str_producer . "</b>" . $product->getNote() . "</br>" : "" ?>
                    <?= ($product->getCode()) ? "<i><b>" . $this->str_code . "</b>" . $product->getCode() . "</i></br>" : "" ?>
                </p>
            </td>
            <td>                
                <h4><?= $product->getSize(); ?></h4>
            </td>                      
            <td class="right">
                <h4><?= $this->currency->toCurrency($product->getPrice()); ?></h4>
            </td>
            <td class='right' style='width: 40px; padding-left: 30px'>
                <?php if ($display_edit) { ?>
                <input type='text'   name='quantity-<?= $count ?>' value='<?= $product->getQuantityInCart(); ?>' onchange='submitForm();' style='width: 92%; text-align: right; z-index: 2000'/>
                <input type='hidden' name='product_id-<?= $count ?>' value='<?= $product->getProductId(); ?>' />
                <?php } else {  
                    echo "<h4>".$product->getQuantityInCart()." ks</h4>";
                } 
                if (isset($this->msg_available[$product->getProductId()])) {?>
                <div style="position: absolute; width: 140px; border: 1px solid red; color: red; background-color: white; padding: 5px; margin-top: 10px; margin-left: -50px; text-align: left">
                    Na skladě máme jen <?= $this->msg_available[$product->getProductId()]?> lahví. Objednáním více kusů se datum dodání prodlouží o 3 dny.
                </div>
                <?php } ?>
            </td>
            <td class="right">
                <h4><?= $this->currency->toCurrency($product->getTotalPriceNoVAT()); ?></h4>
            </td> 
            <td class="right">
                <h4><?= $this->currency->toCurrency($product->getTotalPrice()); ?></h4>
            </td>        
            <td style="width: 25px; text-align: right;">
                <?php if ($display_edit) {?>
                    <a href='/cart/empty/?product_id=<?= $product->getProductId(); ?>'>
                        <img src="/graphics/delete.png" alt="odstranit"/>
                    </a>
                <?php
                } else {
                    echo "&nbsp;";
                }
                ?>
            </td>            
        </tr>
        <?php 
        $totalprice += $product->getTotalPrice();
        $totalpriceNoVAT += $product->getTotalPriceNoVAT();
        }         
        if ($this->order->getShippingTotal() > 0) {
            $totalprice += $this->order->getShippingTotal();
            $totalpriceNoVAT += $this->order->getShippingPriceNoVAT();
            ?>
        <tr style='border-top: 2px solid #f8e9c9; height: 45px;'>
            <?php if ($display_image) {?>
            <td>
                &nbsp;
            </td>
            <?php } ?>
            <td>
                <h4><b><?= mb_strtoupper($this->str_shipping1, "utf-8") ?></b> <?= $this->order->getShippingTitle() ?></h4>
            </td>
            <td>
                &nbsp;
            </td>
            <td class="right">
                <h4><?= $this->currency->toCurrency($this->order->getShippingPrice()) ?></h4>
            </td>
            <td class="right">
                <h4><?= $this->order->getShippingCount() . "&nbsp;x&nbsp;" . $this->str_order_packing ?></h4>
            </td>
            <td class="right">
                <h4><?= $this->currency->toCurrency($this->order->getShippingPriceNoVAT()) ?></h4>
            </td>
            <td class="right">
                <h4><?= $this->currency->toCurrency($this->order->getShippingTotal()) ?></h4>
            </td>
            <td>
                &nbsp;
            </td>
        </tr>
        <?php 
        } 
        if ($this->order->getPaymentTotal() > 0) {
            $totalprice += $this->order->getPaymentTotal();
            $totalpriceNoVAT += $this->order->getPaymentTotalNoVAT();
            ?>
        <tr style='border-top: 2px solid #f8e9c9; height: 45px;'>
            <?php if ($display_image) {?>
            <td>
                &nbsp;
            </td>
            <?php } ?>
            <td>
                <h4><b><?= mb_strtoupper($this->str_payment1, "utf-8") ?></b> <span><?= $this->order->getPaymentTitle() ?></span></h4>
            </td>
            <td>
                &nbsp;
            </td>
            <td class="right">
                <h4><?= $this->currency->toCurrency($this->order->getPaymentPrice()) ?></h4>
            </td>
            <td class="right">
                <h4><?= $this->order->getPaymentCount() ?></h4>
            </td>
            <td class="right">
                <h4><?= $this->currency->toCurrency($this->order->getPaymentTotalNoVAT()) ?></h4>
            </td>
            <td class="right">
                <h4><?= $this->currency->toCurrency($this->order->getPaymentTotal()) ?></h4>
            </td>
            <td>
                &nbsp;
            </td>
        </tr>
        <?php        
        }         
        ?>
        <tr style='border-top: 2px solid #f8e9c9; border-bottom: 2px solid #f8e9c9; height: 100px;'>
            <?php if ($display_image) {?>
            <td>
                &nbsp;
            </td>
            <?php } ?>
            
            <td>
                <h3>Celkem k úhradě:</h3>
            </td>
            <td>
                &nbsp;
            </td>           
            <td class="right">
                &nbsp;
            </td>
            <td class="right">
                &nbsp;
            </td>
            <td class="right">
                <p class="cart-table-vatinfo yellow">bez&nbsp;DPH</p>
                <h3><?= $this->currency->toCurrency($totalpriceNoVAT) ?></h3>
            </td>
            <td class="right">
                <p class="cart-table-vatinfo yellow">vč.&nbsp;DPH</p>
                <h3><?= $this->currency->toCurrency($totalprice) ?></h3>
            </td>
            <td>
                &nbsp;
            </td>
            <td>
                &nbsp;
            </td>
        </tr>
    </tbody>
</table> 
<?php if ($display_edit) { ?>
    <input type='hidden' name='update' value='<?= $count ?>' />
    <input type='submit' value='Přepočítat' class='nodisplay'/>
</form>
<?php } ?>

